@mixin Phone {
  @media (max-width: 770px) {
    @content;
  }
}

@mixin bigTablet {
  @media (max-width: 1025px) {
    @content;
  }
}

.container__main {
    min-height: 100vh;
    padding: 50px 0;
    z-index: 10;
    display: flex !important;
    flex-direction: column;
    align-items: center;

    @include Phone {
        padding: 15px 0;
      } 

    .pokedex_header_card {
      width: 80%;
      margin-bottom: 25px;
      border-radius: 25px !important;
      background: #ffffff;
      box-shadow: 0px 0px 4px rgb(185, 184, 184);

      @include Phone {
        width: 95%;
      } 
    }

  .pokedex {
    width: 80%;
    background: #ffffff;
    box-shadow: 0px 0px 4px rgb(185, 184, 184);
    border-radius: 25px !important;

      @include Phone {
        width: 95%;
      } 

    .pokedex__content_wrapper {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      padding: 25px 0;
      .pokedex__content_top {
        display: flex;
        align-items: center;
        width: 50%;
        justify-content: center;

        @include Phone {
          width: 190px;
        } 
      }

      .grid {
        display: grid;
        grid-template-columns: auto auto auto;

        @include bigTablet {
          grid-template-columns: auto auto;
        }

        @include Phone {
         grid-template-columns: auto;
        } 
      }

      .list {
        width: 100%;
        display: flex;
        flex-direction: column;
      }
      .pokedex__content {
        padding: 25px;
      }
    }
  }
}



// DETAIL CONTENT 

.detail__wrapper {
  height: 100%;
  padding: 25px;

  .detail__header_top {
    padding: 10px 25px;
    border-radius: 25px;
    display: flex;
    background: rgb(236, 236, 236);
    justify-content: space-between;
    align-items: center;
    margin-bottom: 25px;
  }

  .detail__basic_info {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 25px;

    @include Phone {
      flex-direction: column;
    } 

    .image__wrapper {
      img {
        max-width: 300px;
        max-height: 300px;

        @include Phone {
          max-width: 200px;
          max-height: 200px;
          margin-bottom: 25px;
        }
      }
    }

    .detail__basic_card {
      width: 40%;
      padding: 25px 0;
      border-radius: 25px;
      @include Phone {
        width: 100%;
      } 
      .detail__basic_sound {
        margin-left: 10px;
        background-color: white;
        color: black;
        box-shadow: 0px 1px 4px black;
      }
    }
  }

  .detail__charts {
    padding: 25px;
    border-radius: 25px;
    background: gray;
    margin-bottom: 25px;
    
    .detail__charts_header {
      display: flex;
      justify-content: space-between;
      align-items: center;

      .detail__charts_title {
        margin-bottom: 10px;
        color: white !important;
        text-shadow: 0px 1px 4px black;
        font-size: 20px;
      }
    }

    .detail__chart_CP {
      width: 100%;
      height: 5px;
      background: #3852e7;
      border-radius: 5px;
      box-shadow: 0px 1px 4px rgb(66, 63, 63);
      margin-bottom: 10px;
    }

    .detail__chart_HP {
      width: 100%;
      height: 5px;
      background-color: #FB6B6C;
      border-radius: 5px;
      box-shadow: 0px 1px 4px black;
      margin-bottom: 10px;
    }
  }

  .detail__other_info {
    padding: 25px;
    border-radius: 25px;
    box-shadow: 0px 0px 4px rgb(185, 184, 184);
    margin-bottom: 25px;

    @include Phone {
      p {
        font-weight: 900;
        font-size: 20px;
        display: flex;
        flex-direction: column;
      }
    } 
  }

  .detail__evolutions {
    display: flex;
    flex-direction: column;
    border-radius: 25px;
    padding: 25px;
    box-shadow: 0px 0px 4px rgb(185, 184, 184);
  
    .detail__evolutions_header {
      width: 100%;
      height: 25px;

      .detail__evolutions_header_text {
        color: black;
      }
    }

    .detail__evolutions_content {
      display: flex;
      align-items: center;

      @include Phone {
        flex-direction: column;
        justify-content: center;
      } 

      .detail__evolutions_card {
        max-height: 200px;
        margin-right: 50px;
        cursor: pointer;

        img {
          max-height: 150px;
        }

      }
    }
  }
}

.about__text {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding-left: 25px;
  margin: 10px 0;
  color: white !important;
  text-shadow: 0px 1px 4px black;
  font-size: 20px;

   @include Phone {
      flex-direction: column;
      justify-content: center;
    } 

  .about__data {
    background: #3852e7;
    border-radius: 25px;
    padding: 10px;
    font-size: 16px;
    font-weight: 600;
    margin: 10px;
    display: flex;
    justify-content: center;

    @include Phone {
      flex-direction: column;
      justify-content: center;
    } 
  }
}

